> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update an account > Update the properties of an account. Only certain properties may be changed with this API. ## OpenAPI ````json PATCH /v1/accounts/{account-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/accounts/{account-id}": { "patch": { "tags": [ "Accounts" ], "summary": "Update an account.", "description": "Update the properties of an account. Only certain properties may be changed with this API.", "operationId": "updateAccount", "parameters": [ { "$ref": "#/components/parameters/AccountId" } ], "requestBody": { "$ref": "#/components/requestBodies/AccountUpdateRequest" }, "responses": { "200": { "description": "Updated account.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Account" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Manager, UserAuth" } } }, "components": { "parameters": { "AccountId": { "name": "account-id", "in": "path", "description": "UUID of an Account.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "requestBodies": { "AccountUpdateRequest": { "description": "Request to update an account.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AccountUpdateRequest" } } }, "required": true, "x-bodyName": "body" } }, "schemas": { "Account": { "required": [ "acct_id", "node_enrollment", "component" ], "type": "object", "properties": { "name": { "type": "string", "description": "Name of the account. Account names must be unique within a CCM instance." }, "acct_id": { "type": "string", "description": "Account ID uniquely identifying this account.", "format": "uuid" }, "created_at": { "type": "integer", "description": "When this account was created.", "format": "int64" }, "roles": { "type": "array", "items": { "$ref": "#/components/schemas/AccessRoles" }, "description": "Role of the current user in a particular account." }, "custom_logo": { "type": "string", "description": "Logo of the particular account. Max size 128Kb, .jpg, .png, .svg file formats only.", "format": "binary" }, "status": { "$ref": "#/components/schemas/UserAccountStatus" }, "auth_configs": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/AuthenticationConfig" } }, "node_enrollment": { "$ref": "#/components/schemas/NodeEnrollment" }, "totals": { "$ref": "#/components/schemas/ObjectCounts" }, "component": { "$ref": "#/components/schemas/AccountComponent" }, "default_group_id": { "type": "string", "description": "Default group_id in an account.", "format": "uuid" }, "marketplace_group_id": { "type": "string", "description": "Marketplace group_id for the account", "format": "uuid" }, "account_status": { "$ref": "#/components/schemas/AccountStatus" }, "azure_cvm_pcr_priority": { "$ref": "#/components/schemas/AzureCvmPcrPriority" } } }, "AccountUpdateRequest": { "type": "object", "properties": { "name": { "type": "string" }, "custom_logo": { "type": "string", "format": "binary" }, "add_auth_configs": { "type": "array", "items": { "$ref": "#/components/schemas/AuthenticationConfig" } }, "mod_auth_configs": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/AuthenticationConfig" } }, "del_auth_configs": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "enabled": { "type": "boolean" }, "default_group_id": { "type": "string", "format": "uuid" }, "marketplace_group_id": { "type": "string", "format": "uuid" }, "account_status": { "$ref": "#/components/schemas/AccountStatus" }, "azure_cvm_pcr_priority": { "$ref": "#/components/schemas/AzureCvmPcrPriority" } } }, "AccessRoles": { "enum": [ "READER", "WRITER", "MANAGER" ], "type": "string", "description": "Roles of a user." }, "UserAccountStatus": { "enum": [ "ACTIVE", "PENDING", "DISABLED" ], "type": "string", "description": "Status of an Account for a user." }, "AuthenticationConfig": { "type": "object", "properties": { "password": { "$ref": "#/components/schemas/AuthConfigPassword" }, "oauth": { "$ref": "#/components/schemas/AuthConfigOauth" }, "cluster_auth_ref": { "$ref": "#/components/schemas/AuthConfigRef" } } }, "NodeEnrollment": { "required": [ "attestation_enforcement_disabled_insecure" ], "type": "object", "properties": { "attestation_enforcement_disabled_insecure": { "type": "boolean" } } }, "ObjectCounts": { "required": [ "datasets", "final_workflows", "nodes" ], "type": "object", "properties": { "datasets": { "minimum": 0, "type": "integer" }, "final_workflows": { "minimum": 0, "type": "integer" }, "nodes": { "minimum": 0, "type": "integer" } } }, "AccountComponent": { "enum": [ "DEFAULT", "CONFIDENTIAL_AI" ], "type": "string", "description": "Get the account type." }, "AccountStatus": { "enum": [ "Active", "Deactivated" ], "type": "string" }, "AzureCvmPcrPriority": { "type": "array", "items": { "type": "integer" }, "description": "Ordered list of exactly the integer elements 0 through 22" }, "AuthConfigPassword": { "required": [ "require_2fa", "administrators_only" ], "type": "object", "properties": { "require_2fa": { "type": "boolean" }, "administrators_only": { "type": "boolean" } }, "description": "Configuration for password-based authentication." }, "AuthConfigOauth": { "required": [ "idp_name", "idp_icon_url", "idp_authorization_endpoint", "idp_token_endpoint", "idp_requires_basic_auth", "tls", "client_id", "client_secret" ], "type": "object", "properties": { "idp_name": { "type": "string" }, "idp_icon_url": { "type": "string" }, "idp_authorization_endpoint": { "type": "string" }, "idp_token_endpoint": { "type": "string" }, "idp_requires_basic_auth": { "type": "boolean" }, "idp_userinfo_endpoint": { "type": "string" }, "tls": { "$ref": "#/components/schemas/TlsConfig" }, "client_id": { "type": "string" }, "client_secret": { "type": "string" } } }, "AuthConfigRef": { "required": [ "target_id" ], "type": "object", "properties": { "target_id": { "type": "string" } } }, "TlsConfig": { "type": "object", "properties": { "disabled": { "type": "object" }, "opportunistic": { "type": "object" }, "required": { "$ref": "#/components/schemas/TlsConfigRequired" } } }, "TlsConfigRequired": { "required": [ "validate_hostname", "ca" ], "type": "object", "properties": { "validate_hostname": { "type": "boolean" }, "client_key": { "type": "string", "format": "binary" }, "client_cert": { "type": "string", "format": "binary" }, "ca": { "$ref": "#/components/schemas/CaConfig" } } }, "CaConfig": { "type": "object", "properties": { "ca_set": { "$ref": "#/components/schemas/CaSet" }, "pinned": { "type": "array", "items": { "type": "string", "format": "binary" } } } }, "CaSet": { "enum": [ "GLOBAL_ROOTS" ], "type": "string" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````